/*	errcode

Given an RSX I/O error code, print the description string.

*/

#include	<std.h>
#include	<stdio.h>

TEXT		number[16];
GLOBAL STRING	ioerrmsg();

main (count, argument)
INTEGER	count;
STRING	argument[];
{

if (count >= 2)
	{
	strcpy (number, argument[1]);
	goto message;
	}
else
	count = 0;

while (printf ("Error code: "), gets (number))
	{
message:
	if (*number == '-')
		printf ("%s\n", ioerrmsg (atoi (number)));
	else
		printf ("Enter the RSX I/O error code value.\n");
	if (count)
		break;
	}
exit ();
}
